package omq.test.event;

import java.io.IOException;

import omq.exception.SerializerException;
import omq.server.RemoteObject;

public class EventTriggerImpl extends RemoteObject implements EventTrigger {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public void triggerEvent(String message) throws IOException, SerializerException {
		MessageEvent event = new MessageEvent(message);
		this.notifyEvent(event);
	}
	
}
